Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network242.92.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
242.92.0.0
Broadcast address
242.95.255.255
First usable
242.92.0.1
Last usable
242.95.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F25C0000 · Integer 4066115584 to 4066377727
Reverse DNS zones
92.242.in-addr.arpa
93.242.in-addr.arpa
94.242.in-addr.arpa
95.242.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110010.01011100.00000000.00000000242.92.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11110010.01011100.00000000.00000000242.92.0.0
Broadcast11110010.01011111.11111111.11111111242.95.255.255
Split into smaller subnets/21

242.92.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1242.92.0.0/21242.92.0.1 to 242.92.7.254242.92.7.2552,046
2242.92.8.0/21242.92.8.1 to 242.92.15.254242.92.15.2552,046
3242.92.16.0/21242.92.16.1 to 242.92.23.254242.92.23.2552,046
4242.92.24.0/21242.92.24.1 to 242.92.31.254242.92.31.2552,046
5242.92.32.0/21242.92.32.1 to 242.92.39.254242.92.39.2552,046
6242.92.40.0/21242.92.40.1 to 242.92.47.254242.92.47.2552,046
7242.92.48.0/21242.92.48.1 to 242.92.55.254242.92.55.2552,046
8242.92.56.0/21242.92.56.1 to 242.92.63.254242.92.63.2552,046
9242.92.64.0/21242.92.64.1 to 242.92.71.254242.92.71.2552,046
10242.92.72.0/21242.92.72.1 to 242.92.79.254242.92.79.2552,046
11242.92.80.0/21242.92.80.1 to 242.92.87.254242.92.87.2552,046
12242.92.88.0/21242.92.88.1 to 242.92.95.254242.92.95.2552,046
13242.92.96.0/21242.92.96.1 to 242.92.103.254242.92.103.2552,046
14242.92.104.0/21242.92.104.1 to 242.92.111.254242.92.111.2552,046
15242.92.112.0/21242.92.112.1 to 242.92.119.254242.92.119.2552,046
16242.92.120.0/21242.92.120.1 to 242.92.127.254242.92.127.2552,046
17242.92.128.0/21242.92.128.1 to 242.92.135.254242.92.135.2552,046
18242.92.136.0/21242.92.136.1 to 242.92.143.254242.92.143.2552,046
19242.92.144.0/21242.92.144.1 to 242.92.151.254242.92.151.2552,046
20242.92.152.0/21242.92.152.1 to 242.92.159.254242.92.159.2552,046
21242.92.160.0/21242.92.160.1 to 242.92.167.254242.92.167.2552,046
22242.92.168.0/21242.92.168.1 to 242.92.175.254242.92.175.2552,046
23242.92.176.0/21242.92.176.1 to 242.92.183.254242.92.183.2552,046
24242.92.184.0/21242.92.184.1 to 242.92.191.254242.92.191.2552,046
25242.92.192.0/21242.92.192.1 to 242.92.199.254242.92.199.2552,046
26242.92.200.0/21242.92.200.1 to 242.92.207.254242.92.207.2552,046
27242.92.208.0/21242.92.208.1 to 242.92.215.254242.92.215.2552,046
28242.92.216.0/21242.92.216.1 to 242.92.223.254242.92.223.2552,046
29242.92.224.0/21242.92.224.1 to 242.92.231.254242.92.231.2552,046
30242.92.232.0/21242.92.232.1 to 242.92.239.254242.92.239.2552,046
31242.92.240.0/21242.92.240.1 to 242.92.247.254242.92.247.2552,046
32242.92.248.0/21242.92.248.1 to 242.92.255.254242.92.255.2552,046
33242.93.0.0/21242.93.0.1 to 242.93.7.254242.93.7.2552,046
34242.93.8.0/21242.93.8.1 to 242.93.15.254242.93.15.2552,046
35242.93.16.0/21242.93.16.1 to 242.93.23.254242.93.23.2552,046
36242.93.24.0/21242.93.24.1 to 242.93.31.254242.93.31.2552,046
37242.93.32.0/21242.93.32.1 to 242.93.39.254242.93.39.2552,046
38242.93.40.0/21242.93.40.1 to 242.93.47.254242.93.47.2552,046
39242.93.48.0/21242.93.48.1 to 242.93.55.254242.93.55.2552,046
40242.93.56.0/21242.93.56.1 to 242.93.63.254242.93.63.2552,046
41242.93.64.0/21242.93.64.1 to 242.93.71.254242.93.71.2552,046
42242.93.72.0/21242.93.72.1 to 242.93.79.254242.93.79.2552,046
43242.93.80.0/21242.93.80.1 to 242.93.87.254242.93.87.2552,046
44242.93.88.0/21242.93.88.1 to 242.93.95.254242.93.95.2552,046
45242.93.96.0/21242.93.96.1 to 242.93.103.254242.93.103.2552,046
46242.93.104.0/21242.93.104.1 to 242.93.111.254242.93.111.2552,046
47242.93.112.0/21242.93.112.1 to 242.93.119.254242.93.119.2552,046
48242.93.120.0/21242.93.120.1 to 242.93.127.254242.93.127.2552,046
49242.93.128.0/21242.93.128.1 to 242.93.135.254242.93.135.2552,046
50242.93.136.0/21242.93.136.1 to 242.93.143.254242.93.143.2552,046
51242.93.144.0/21242.93.144.1 to 242.93.151.254242.93.151.2552,046
52242.93.152.0/21242.93.152.1 to 242.93.159.254242.93.159.2552,046
53242.93.160.0/21242.93.160.1 to 242.93.167.254242.93.167.2552,046
54242.93.168.0/21242.93.168.1 to 242.93.175.254242.93.175.2552,046
55242.93.176.0/21242.93.176.1 to 242.93.183.254242.93.183.2552,046
56242.93.184.0/21242.93.184.1 to 242.93.191.254242.93.191.2552,046
57242.93.192.0/21242.93.192.1 to 242.93.199.254242.93.199.2552,046
58242.93.200.0/21242.93.200.1 to 242.93.207.254242.93.207.2552,046
59242.93.208.0/21242.93.208.1 to 242.93.215.254242.93.215.2552,046
60242.93.216.0/21242.93.216.1 to 242.93.223.254242.93.223.2552,046
61242.93.224.0/21242.93.224.1 to 242.93.231.254242.93.231.2552,046
62242.93.232.0/21242.93.232.1 to 242.93.239.254242.93.239.2552,046
63242.93.240.0/21242.93.240.1 to 242.93.247.254242.93.247.2552,046
64242.93.248.0/21242.93.248.1 to 242.93.255.254242.93.255.2552,046
65242.94.0.0/21242.94.0.1 to 242.94.7.254242.94.7.2552,046
66242.94.8.0/21242.94.8.1 to 242.94.15.254242.94.15.2552,046
67242.94.16.0/21242.94.16.1 to 242.94.23.254242.94.23.2552,046
68242.94.24.0/21242.94.24.1 to 242.94.31.254242.94.31.2552,046
69242.94.32.0/21242.94.32.1 to 242.94.39.254242.94.39.2552,046
70242.94.40.0/21242.94.40.1 to 242.94.47.254242.94.47.2552,046
71242.94.48.0/21242.94.48.1 to 242.94.55.254242.94.55.2552,046
72242.94.56.0/21242.94.56.1 to 242.94.63.254242.94.63.2552,046
73242.94.64.0/21242.94.64.1 to 242.94.71.254242.94.71.2552,046
74242.94.72.0/21242.94.72.1 to 242.94.79.254242.94.79.2552,046
75242.94.80.0/21242.94.80.1 to 242.94.87.254242.94.87.2552,046
76242.94.88.0/21242.94.88.1 to 242.94.95.254242.94.95.2552,046
77242.94.96.0/21242.94.96.1 to 242.94.103.254242.94.103.2552,046
78242.94.104.0/21242.94.104.1 to 242.94.111.254242.94.111.2552,046
79242.94.112.0/21242.94.112.1 to 242.94.119.254242.94.119.2552,046
80242.94.120.0/21242.94.120.1 to 242.94.127.254242.94.127.2552,046
81242.94.128.0/21242.94.128.1 to 242.94.135.254242.94.135.2552,046
82242.94.136.0/21242.94.136.1 to 242.94.143.254242.94.143.2552,046
83242.94.144.0/21242.94.144.1 to 242.94.151.254242.94.151.2552,046
84242.94.152.0/21242.94.152.1 to 242.94.159.254242.94.159.2552,046
85242.94.160.0/21242.94.160.1 to 242.94.167.254242.94.167.2552,046
86242.94.168.0/21242.94.168.1 to 242.94.175.254242.94.175.2552,046
87242.94.176.0/21242.94.176.1 to 242.94.183.254242.94.183.2552,046
88242.94.184.0/21242.94.184.1 to 242.94.191.254242.94.191.2552,046
89242.94.192.0/21242.94.192.1 to 242.94.199.254242.94.199.2552,046
90242.94.200.0/21242.94.200.1 to 242.94.207.254242.94.207.2552,046
91242.94.208.0/21242.94.208.1 to 242.94.215.254242.94.215.2552,046
92242.94.216.0/21242.94.216.1 to 242.94.223.254242.94.223.2552,046
93242.94.224.0/21242.94.224.1 to 242.94.231.254242.94.231.2552,046
94242.94.232.0/21242.94.232.1 to 242.94.239.254242.94.239.2552,046
95242.94.240.0/21242.94.240.1 to 242.94.247.254242.94.247.2552,046
96242.94.248.0/21242.94.248.1 to 242.94.255.254242.94.255.2552,046
97242.95.0.0/21242.95.0.1 to 242.95.7.254242.95.7.2552,046
98242.95.8.0/21242.95.8.1 to 242.95.15.254242.95.15.2552,046
99242.95.16.0/21242.95.16.1 to 242.95.23.254242.95.23.2552,046
100242.95.24.0/21242.95.24.1 to 242.95.31.254242.95.31.2552,046
101242.95.32.0/21242.95.32.1 to 242.95.39.254242.95.39.2552,046
102242.95.40.0/21242.95.40.1 to 242.95.47.254242.95.47.2552,046
103242.95.48.0/21242.95.48.1 to 242.95.55.254242.95.55.2552,046
104242.95.56.0/21242.95.56.1 to 242.95.63.254242.95.63.2552,046
105242.95.64.0/21242.95.64.1 to 242.95.71.254242.95.71.2552,046
106242.95.72.0/21242.95.72.1 to 242.95.79.254242.95.79.2552,046
107242.95.80.0/21242.95.80.1 to 242.95.87.254242.95.87.2552,046
108242.95.88.0/21242.95.88.1 to 242.95.95.254242.95.95.2552,046
109242.95.96.0/21242.95.96.1 to 242.95.103.254242.95.103.2552,046
110242.95.104.0/21242.95.104.1 to 242.95.111.254242.95.111.2552,046
111242.95.112.0/21242.95.112.1 to 242.95.119.254242.95.119.2552,046
112242.95.120.0/21242.95.120.1 to 242.95.127.254242.95.127.2552,046
113242.95.128.0/21242.95.128.1 to 242.95.135.254242.95.135.2552,046
114242.95.136.0/21242.95.136.1 to 242.95.143.254242.95.143.2552,046
115242.95.144.0/21242.95.144.1 to 242.95.151.254242.95.151.2552,046
116242.95.152.0/21242.95.152.1 to 242.95.159.254242.95.159.2552,046
117242.95.160.0/21242.95.160.1 to 242.95.167.254242.95.167.2552,046
118242.95.168.0/21242.95.168.1 to 242.95.175.254242.95.175.2552,046
119242.95.176.0/21242.95.176.1 to 242.95.183.254242.95.183.2552,046
120242.95.184.0/21242.95.184.1 to 242.95.191.254242.95.191.2552,046
121242.95.192.0/21242.95.192.1 to 242.95.199.254242.95.199.2552,046
122242.95.200.0/21242.95.200.1 to 242.95.207.254242.95.207.2552,046
123242.95.208.0/21242.95.208.1 to 242.95.215.254242.95.215.2552,046
124242.95.216.0/21242.95.216.1 to 242.95.223.254242.95.223.2552,046
125242.95.224.0/21242.95.224.1 to 242.95.231.254242.95.231.2552,046
126242.95.232.0/21242.95.232.1 to 242.95.239.254242.95.239.2552,046
127242.95.240.0/21242.95.240.1 to 242.95.247.254242.95.247.2552,046
128242.95.248.0/21242.95.248.1 to 242.95.255.254242.95.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses